<?php
#------------------------------------------
# Plugin para WDTV Live
# Series Cinetube
#------------------------------------------
include('funciones.php');
include('funcionescinetube.php');

function _pluginMain($prmQuery) {
	$website = 'http://www.cinetube.es/series/';
	$plugin = 'seriescinetube';

	$queryData = array();
	parse_str($prmQuery, $queryData);

	//Estructura Pgina Inicial
	if ($queryData['inicio'] =='listadoA') { // Listado Alfabtico
		$lista = _ListaACT($website,'/<li><a href="\/series\/(.*?)">(.*?)</');
		$tipo = 'paginas';
	}
	else if ($queryData['inicio'] =='listadoG') { // Listado por genero
		$lista = _ListaGCT($website,'series');
		$tipo = 'paginas'; 
	}
	else if ($queryData['paginas'] !='') { // Paginacin
		$lista = _CrearPaginacionCT($queryData['paginas'],'/html">(.*?)<\/a><\/li>((\t|\n| )*?)<li class="navs"><a/');
		if (!is_array($lista)) return _pluginMain('pelis='.$queryData['paginas']);
		$tipo = 'pelis'; 
	}
	else if ($queryData['inicio'] =='listadoN' || $queryData['pelis']!='' || $queryData['busqueda']!='') {
		$tipo = 'temporadas';
		if ($queryData['pelis']!='') $url = $queryData['pelis'];
		else if ($queryData['busqueda']!='') $url = $queryData['busqueda'];
		else {$url = $website; $tipo = 'enlaces';}
		$lista = _ListaSeriesCT($website,$url,'series');
	}
	// Pgina de temporadas (posibilidad de aadir a favoritos) 
	else if ($queryData['temporadas'] !='') {
		$lista = _ListaTemporadaCT($website,$queryData['temporadas'],'series');
		$tipo = 'capitulos';
	}
	// Pgina de captulos
	else if ($queryData['capitulos']!='') {
		$lista = _CrearLista($queryData['capitulos'],
			'/<span class="link"><a href="\/series\/(.*?)">(.*?)</',
			array(2,1,-1),'');
		foreach ($lista['enlace'] as &$value) { $value = $website.$value;}
		$tipo = 'enlaces';
	}
	// Pgina de enlaces a MV y MU
	else if ($queryData['enlaces']!=''){
		$lista = _CrearListaMegaCT($website,
			$queryData['enlaces'],
			'/<div class="tit_opts"><a href="\/series\/([^"]+?)">[^<]+<p>[^M]+Megavideo[^<]+<span class="bold"><\/span><\/p>[^<]+<p><span>([^<]+?)</',
		        '/<div class="tit_opts"><a href="\/series\/([^"]+?)" target="_BLANK">[^<]+<p>[^M]+Megaupload[^<]+<span class="bold"><\/span><\/p>[^<]+<p><span>([^<]+?)</',
			'/<h1 class="big"><a href="(.*?)">(.*?)</',
			array(1,1,2));	
		return _pluginCreateVideoItems($lista,$plugin);
	}
	// inclusin en favoritos
	else if ($queryData['favoritos'] !='') { 
		return _pluginFavorito($queryData['favoritos'],$plugin);
	}
	// Pgina Inicial
	else
	{
		$lista = array (
		'titulo' => array ('Listado Alfab&eacute;tico','Listado por Categor&iacute;a','Novedades'),
		'enlace' => array ('listadoA','listadoG','listadoN'),
		'caratula' => array ('http://i53.tinypic.com/2rctwn6.jpg','http://i53.tinypic.com/13ztog9.jpg','http://i52.tinypic.com/f4faqo.jpg'),
		);
		$tipo = 'inicio';

	}
	return _CrearItems($lista,$plugin,$tipo);
}

function _cadenaBusqueda() {
	return 'http://www.cinetube.es/buscar/series/?palabra=';
}

 
?>
